see more hetemlのphp5.4のバージョンアップに対応の件 「データベース接続確立エラー」って(゚д゚)! - ponnao-clip

Home > サーバ・ドメイン > hetemlのphp5.4のバージョンアップに対応の件 「データベース接続確立エラー」って(゚д゚)!

hetemlのphp5.4のバージョンアップに対応の件 「データベース接続確立エラー」って(゚д゚)!

web拍手 by FC2 このエントリーをはてなブックマークに追加 Check

hetemlの管理画面でずっと、PHP4/PHP5.2の提供終了知らせが出てて、自分では関係ないと思っていたのだが、サーバーメンテナンス後見事に「データベース接続確立エラー」となりました(ーー;心臓に悪いわ。
ここのサイトともう一つだいぶ昔から(7、8年?)のWPサイトで、ここ2、3年に構築したWPサイトは問題なかったです。

んで、やったこと。
heteml(ヘテムル)サーバーPHPバージョンアップ方法
ここのサイトで、データーベースのパスワードを更新するだけで、データベースが最新の状態にバージョンアップされることを知りました。

まず「phpinfo.php」で一応バージョンを確認。
5.4.27になってました。

一応やる前にDBのバックアップをとって以下の作業を行いました。

MySQLの新パスワード更新作業

heteml管理画面→右メニュー「データベース」
当該サーバ名の「php5.4対応」項目の「要設定」ボタンをクリック
「データーベースパスワード変更」画面で、新しいパスワードに更新
(パスワードの内容そのものを変える必要はないのだが、設定した当時の最低文字数と現在の最低文字数が違ってたので変えざるをえなかった(ーー;なので、wp-config.phpの記述変更も必要になってくる。)

wp-config.phpの記述変更

wp-config.php内のMySQLパスワードを変更→FTPで上書き

この時、wp-config.phpのデフォのバーミッションが400だったので上書きできず。644に変更してから上書きした。
そして400に戻すのを忘れない!

記事ページで、プラグイン「Search Unleashed」のエラーが出てたので停止作業。
w-happiness.netは、表画面でプラグインの「External Links」のエラーが出てたので停止作業。

web拍手 by FC2 このエントリーをはてなブックマークに追加 Check

コメント:0

コメントフォーム
Remember personal info

トラックバック:0

このエントリーのトラックバックURL
http://ponnao.com/wp-trackback.php?p=24321
Listed below are links to weblogs that reference
hetemlのphp5.4のバージョンアップに対応の件 「データベース接続確立エラー」って(゚д゚)! from ponnao-clip

Home > サーバ・ドメイン > hetemlのphp5.4のバージョンアップに対応の件 「データベース接続確立エラー」って(゚д゚)!

MESSAGE
3月11日の東北地方太平洋地震で
被災された方、親しい方が被災された方に、
心よりお見舞いを申し上げるとともに、
被災地の一日も早い復興を
心よりお祈りいたしております。
PROFILE

横浜在住。
横須賀でWeb制作の仕事をしている
へっぽこ兼業主婦です。
ガチャピン似。


A RELATED SITE
くまのがっこうブログパーツ
TODAY’S COLOPLA COLONY
FAVORITE SHOP
RECOMMEND COMIC
【送料無料】しろくまカフェメロン味!

【送料無料】しろくまカフェメロン味!
価格:680円(税込、送料別)

【送料無料】なのはな

【送料無料】なのはな
価格:1,200円(税込、送料別)

【送料無料】昭和元禄落語心中(1)

【送料無料】昭和元禄落語心中(1)
価格:590円(税込、送料別)

【送料無料】テルマエ・ロマエ(4)

【送料無料】テルマエ・ロマエ(4)
価格:714円(税込、送料別)

TWITTER
POPULAR ENTRY
BOOKLOG

PONNAO’S RAKUTEN FAVORITE

YOUR’S RAKUTEN FAVORITE

Return to page top